org.apache.olingo.commons.api.data

## Enum ValueType

- java.lang.Object
- - java.lang.Enum<ValueType>
  - - org.apache.olingo.commons.api.data.ValueType

- All Implemented Interfaces:
    Serializable, Comparable<ValueType>

      public enum ValueType
      extends Enum<ValueType>

  Defines the type of a value (see Valuable).

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COLLECTION_COMPLEX` Collection of complex values
    `COLLECTION_ENTITY` Collection of entities
    `COLLECTION_ENUM` Collection of enum values
    `COLLECTION_GEOSPATIAL` Collection of geospatial values
    `COLLECTION_PRIMITIVE` Collection of primitive values
    `COMPLEX` Complex value
    `ENTITY` Entity value
    `ENUM` Enum type
    `GEOSPATIAL` Geospatial value
    `PRIMITIVE` Primitive value

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ValueType` | `getBaseType()` Get base type for this value type.
    `static ValueType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ValueType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PRIMITIVE

          public static final ValueType PRIMITIVE

      Primitive value

    - #### GEOSPATIAL

          public static final ValueType GEOSPATIAL

      Geospatial value

    - #### ENUM

          public static final ValueType ENUM

      Enum type

    - #### COMPLEX

          public static final ValueType COMPLEX

      Complex value

    - #### ENTITY

          public static final ValueType ENTITY

      Entity value

    - #### COLLECTION_PRIMITIVE

          public static final ValueType COLLECTION_PRIMITIVE

      Collection of primitive values

    - #### COLLECTION_GEOSPATIAL

          public static final ValueType COLLECTION_GEOSPATIAL

      Collection of geospatial values

    - #### COLLECTION_ENUM

          public static final ValueType COLLECTION_ENUM

      Collection of enum values

    - #### COLLECTION_COMPLEX

          public static final ValueType COLLECTION_COMPLEX

      Collection of complex values

    - #### COLLECTION_ENTITY

          public static final ValueType COLLECTION_ENTITY

      Collection of entities

  - ### Method Detail

    - #### values

          public static ValueType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ValueType c : ValueType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ValueType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getBaseType

          public ValueType getBaseType()

      Get base type for this value type.
      Returns:
        base type

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.